Skip to content

Fetch all policy groups with their policies

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Returns all policy groups, each with their associated policy types (CHANNELS, SUBCATEGORY, VENDORS, TIME, RECEIPTS, TAGS, etc.) including both business-specific policies and default rules.

Security
oauth2ClientCredentials(Required scopes: business-policies:read)
Headers
business_idstringrequired

Business identifier for the request

curl -i -X GET \
  https://developer.boyahq.com/_mock/v2/openapi/business-policies/policy-group-policies \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string'

Responses

Policy groups with policies returned successfully

Bodyapplication/json
Array [
_idstring

Policy group MongoDB ObjectId

descriptionstring

Description of what this policy group governs

subjectstring

Subject area of the policy group (e.g. Employee Spend, Expense Review)

policiesArray of objects(PolicyWithRulesV1Dto)

Policy types within this group, each with their business policies and rules

createdAtstring

ISO 8601 creation timestamp

updatedAtstring

ISO 8601 last-updated timestamp

]
Response
[ { "_id": "string", "description": "string", "subject": "string", "policies": [], "createdAt": "string", "updatedAt": "string" } ]